Subject: Can't build gcc (xgcc) from source
From: " " <[email-masked]>
To: [email-masked]
Date: Tue, 03 Aug 1999 13:21:45 -0700

Hi,

I'm trying to build the cygwin executables from the 
source.  The configure step works fine but the first 
make step fails.  The last few lines from make.log are:

checking whether the C compiler (/obj/gcc/xgcc 
  -B/obj/gcc/ -g -O2 ) works... no
configure: error: installation or configuration
  problem: C compiler cannot create executables.
make: *** [configure-target-libiberty] Error 1

when I try to use xgcc from the shell it can't find
any of the files it needs (.o and .h files).  I can 
get around this in the shell with -I and -B but then
I see the message:

C:\TEMP\ccqk7AfC.o: In function `main':
/obj/testprog.c:5: undefined reference to `_IO_stdout_'
collect2: ld returned 1 exit status

where testprog.c is a 'Hello World' type program
with an fprintf(stdout,"<msg>");

Changing it to printf("<msg>"); allows it to compile
and run just fine.

I find the reference to C:\TEMP confusing since I 
have mounted / to D: and installed all the cygwin
software there.

xgcc obviously has problems.  I don't think that
I am up to adding all the -I and -B statements that
it needs or willing to do without stdout.  Is 
there another way to fix this?

The binary version of gcc has none of these problems.

I'm using b20, running on NT4 and would greatly
appreciate some help with this.

Thanks, Jeff

--== Sent via Deja.com http://www.deja.com/ ==--
Share what you know. Learn what you don't.

--
Want to unsubscribe from this list?
Send a message to [email-masked]